package DB;
public class ColumnDescriptorHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(DB.ColumnDescriptorHelper.id(),"ColumnDescriptor",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("name",org.omg.CORBA.ORB.init().create_string_tc(18),null),new org.omg.CORBA.StructMember("type",org.omg.CORBA.ORB.init().create_enum_tc(DB.DataTypeHelper.id(),"DataType",new String[]{"TypeNull","TypeString","TypeShort","TypeInteger","TypeDouble","TypeDecimal","TypeTime","TypeDate","TypeDateTime","TypeText","TypeBinary"}),null),new org.omg.CORBA.StructMember("sqltype",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("length",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("scale",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("precision",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("nullable",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(8)),null)});
	public ColumnDescriptorHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, DB.ColumnDescriptor s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static DB.ColumnDescriptor extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:DB/ColumnDescriptor:1.0";
	}
	public static DB.ColumnDescriptor read(org.omg.CORBA.portable.InputStream in)
	{
		DB.ColumnDescriptor result = new DB.ColumnDescriptor();
		result.name=in.read_string();
		result.type=DB.DataTypeHelper.read(in);
		result.sqltype=in.read_short();
		result.length=in.read_short();
		result.scale=in.read_short();
		result.precision=in.read_short();
		result.nullable=in.read_boolean();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, DB.ColumnDescriptor s)
	{
out.write_string(s.name);
DB.DataTypeHelper.write(out,s.type);
out.write_short(s.sqltype);
out.write_short(s.length);
out.write_short(s.scale);
out.write_short(s.precision);
out.write_boolean(s.nullable);
	}
}
